Api referenceChat
List the input messages of a stored chat completion
List the messages of a stored chat completion (the request messages), scoped to the caller's organization. Cursor-paginated.
Authorization
bearerAuth AuthorizationBearer <token>
A Maniac API key, sent as Authorization: Bearer <key>. (Internal service-to-service calls use a separate internal service key and are not documented here.)
In: header
Path Parameters
completion_id*string
The chat completion id (e.g. chatcmpl-...).
Query Parameters
after?string
A cursor: the id of the last message from the previous page.
limit?integer
Number of messages to return (1–100, default 20).
order?string
Sort order: asc (default) or desc.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/chat/completions/string/messages"{ "object": "list", "data": [ { "id": "string", "role": "string", "content": "string", "name": "string", "tool_calls": [ { "id": "string", "type": "function", "function": { "name": "string", "arguments": "string" } } ], "tool_call_id": "string" } ], "first_id": "string", "last_id": "string", "has_more": true}{ "error": { "message": "string", "type": "string", "param": "string", "code": "string" }}{ "error": { "message": "string", "type": "string", "param": "string", "code": "string" }}